﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace WiRTSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        private int _valueSet = 0;
        private int[] targets = { 50, 25, 1000, 5 };
        private int[] actuals = { 100, 75, 1200, 7 };
        private int[] maximums = { 200, 100, 2000, 9 };

        private int[] qualitativeRangeEnds1 = { 40, 10, 500, 2 };
        private int[] qualitativeRangeEnds2 = { 50, 15, 1000, 3 };
        private int[] qualitativeRangeEnds3 = { 60, 20, 1100, 4 };

        private BulletGraphViewModel bulletGraphViewModel;

        public MainPage()
        {
            bulletGraphViewModel = new BulletGraphViewModel();
            this.DataContext = bulletGraphViewModel;
            this.InitializeComponent();
        }

        private void Button_Tapped(object sender, TappedRoutedEventArgs e)
        {
            if (_valueSet == 3)
                _valueSet = 0;
            else
                _valueSet++;

            bulletGraphViewModel.BulletGraphModel.BulletActualHours = actuals[_valueSet];
            bulletGraphViewModel.BulletGraphModel.BulletTargetHours = targets[_valueSet];
            bulletGraphViewModel.BulletGraphModel.BulletGraphMaximum = maximums[_valueSet];

            bulletGraphViewModel.BulletGraphModel.QualitativeRangeEnd1 = qualitativeRangeEnds1[_valueSet];
            bulletGraphViewModel.BulletGraphModel.QualitativeRangeEnd2 = qualitativeRangeEnds2[_valueSet];
            bulletGraphViewModel.BulletGraphModel.QualitativeRangeEnd3 = qualitativeRangeEnds3[_valueSet];

        }
    }
}
